<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Chart</title>
</head>

<body>
    <div style="width:35%;">
        <h1>My Chart</h1>
        <canvas id="myChart"></canvas>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.0.2/chart.min.js"></script>
    <script src="/socket.io/socket.io.js" charset="utf-8"></script>

    <script>
        const socket = io();
        var ctx = document.getElementById('myChart');
        var chart = new Chart(ctx, {
            type: 'bar',
            data: {
                labels: ['Standing costs'],
                datasets: [
                    {
                        label: 'Washing and cleaning',
                        data: [],
                        backgroundColor: '#22aa99'
                    },
                    {
                        label: 'Traffic tickets',
                        data: [],
                        backgroundColor: '#994499'
                    }
                    ]
            },
            options: {
                responsive: true,
                legend: {
                    position: 'right' // place legend on the right side of chart
                },
                scales: {
                    x: {
                        stacked: true,
                    },
                    y: {
                        stacked: true,
                        max: 100
                    }
                }
            }
        });

        let counter = 0;
        socket.on('arduino:data', function (dataSerial) {
            var dataSerialArray = dataSerial.value.split(" ");
            
            chart.data.datasets.forEach(function (dataset) {
                dataset.data = dataSerialArray[counter];
                console.log(dataSerialArray[counter]);
                counter++;
            });
           
            counter = 0;

            chart.update();
        });
    </script>
</body>

</html>